Package Details: mingw-w64-x265 3.5-1

Git Clone URL: https://aur.archlinux.org/mingw-w64-x265.git (read-only, click to copy)
Package Base: mingw-w64-x265
Description: Open Source H265/HEVC video encoder (mingw-w64)
Upstream URL: https://www.videolan.org/developers/x265.html
Licenses: GPL
Submitter: kfg
Maintainer: kfg
Last Packager: kfg
Votes: 1
Popularity: 0.000077
First Submitted: 2014-02-18 19:01
Last Updated: 2021-05-11 17:27

Latest Comments

maxrd2 commented on 2020-11-28 17:22

Here's the patch to build from new repository.

diff --git a/packages/mingw-libs/mingw-w64-x265/PKGBUILD b/packages/mingw-libs/mingw-w64-x265/PKGBUILD
index ba9e4607e3b..28a7f7a9dde 100644
--- a/packages/mingw-libs/mingw-w64-x265/PKGBUILD
+++ b/packages/mingw-libs/mingw-w64-x265/PKGBUILD
@@ -5,12 +5,12 @@ pkgver=3.4
 pkgrel=1
 pkgdesc='Open Source H265/HEVC video encoder (mingw-w64)'
 arch=('any')
-url='https://bitbucket.org/multicoreware/x265'
+url='http://x265.org/'
 license=('GPL')
 depends=('mingw-w64-crt')
 options=(!strip !buildflags staticlibs)
 makedepends=('mingw-w64-cmake' 'mercurial' 'nasm' 'ninja')
-source=(hg+https://bitbucket.org/multicoreware/x265#tag=2a65b720985096bcb1664f7cb05c3d04aeb576f5
+source=(hg+http://hg.videolan.org/x265#tag=3.4
         mingw.patch)
 sha256sums=('SKIP'
             'b1953c70b734b91e7916448c4636b70305c1d5bfaf86f17f94b769499635a191')

patlefort commented on 2020-09-04 17:34

The upstream URL no longer exists as bitbucket no longer support mercurial. The repo is now at http://hg.videolan.org/x265/.

giannis-arch commented on 2020-06-13 17:54

Version 3.4-1 With the source https://hg.videolan.org/x265 , the build failed, as there is error, abort: HTTP Error 404: Not Found Error : Download failure of the x265 hg repository.

With the source change as https://bitbucket.org/multicoreware/x265 , the build can to complete.

Martchus commented on 2016-01-04 19:28

If you need Windows XP / Vista compatibility, you need to add -DWINXP_SUPPORT:BOOL='TRUE' to the camke configuration.
(Just a note - in my opinion, you don't need to change the package.)

xantares commented on 2014-11-25 13:40

- you dont nedd to specify these:
-G "Unix Makefiles" -DCMAKE_INSTALL_PREFIX=/usr/${_arch}
- mingw-w64-cmake already pulls mingw-w64-gcc and mingw-w64-pkg-config
xan.

xantares commented on 2014-09-11 12:27

the patch should not be needed anymore.
xan.